Skip to navigation

Edit a category

Update an existing custom expense category for the organization.

Authentication

AuthorizationBearer

Bearer token authentication for Mercury API.

Use your API token in the Authorization header: Authorization: Bearer TOKEN

Example: Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem

Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.

Path parameters

expenseCategoryIdstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestring or nullOptional
The name of a custom expense category.
visibleForCardSpendboolean or nullOptional
Whether this category is applicable to card transactions
visibleForOtherboolean or nullOptional
Whether this category is applicable to all other transaction kinds
visibleForReimbursementsboolean or nullOptional
Whether this category is applicable to expense reimbursement transactions

Response

idstringformat: "uuid"
namestring
The name of the category
visibleForCardSpendboolean
Whether this category is applicable to card transactions
visibleForOtherboolean
Whether this category is applicable to all other transaction kinds
visibleForReimbursementsboolean
Whether this category is applicable to expense reimbursement transactions

Errors

400
Bad Request Error
404
Not Found Error